### Method

# Shumate VectorRenderer set_sprite_sheet_data

#### Declaration [src]

    gboolean
    shumate_vector_renderer_set_sprite_sheet_data (
      ShumateVectorRenderer* self,
      GdkPixbuf* sprites_pixbuf,
      const char* sprites_json,
      GError** error
    )

#### Description [src]

Sets the sprite sheet used by the style JSON to render icons and textures.

See https://maplibre.org/maplibre-gl-js-docs/style-spec/sprite/ for details about the spritesheet format. Most stylesheets provide these files along with the main style JSON.

#### Parameters

`sprites_pixbuf` | `GdkPixbuf`
| A Gdk.Pixbuf.
| The data is owned by the caller of the function.
`sprites_json` | `const char*`
| A JSON string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the sprite sheet was loaded successfully.